Loading...
Searching...
No Matches
lirc_cmd_ctx Struct Reference
Client API

The data needed to run a command on remote server. More...

`#include <lirc_client.h>`

## Public Attributes

char | packet [PACKET_SIZE+1]
| The packet to send.
char | buffer [PACKET_SIZE+1]
| Reply IO buffer.
char | reply [PACKET_SIZE+1]
| Command reply payload.
int | head
| First free buffer index.
int | reply_to_stdout
| If true, write reply on stdout.
char * | next
| Next newline-separated word in buffer.

## Detailed Description

The data needed to run a command on remote server.

Definition at line 188 of file lirc_client.h.

## Member Data Documentation

## buffer

char lirc_cmd_ctx::buffer[PACKET_SIZE+1]

Reply IO buffer.

Definition at line 190 of file lirc_client.h.

## head

int lirc_cmd_ctx::head

First free buffer index.

Definition at line 192 of file lirc_client.h.

## next

char* lirc_cmd_ctx::next

Next newline-separated word in buffer.

Definition at line 194 of file lirc_client.h.

## packet

char lirc_cmd_ctx::packet[PACKET_SIZE+1]

The packet to send.

Definition at line 189 of file lirc_client.h.

## reply

char lirc_cmd_ctx::reply[PACKET_SIZE+1]

Command reply payload.

Definition at line 191 of file lirc_client.h.

## reply_to_stdout

int lirc_cmd_ctx::reply_to_stdout

If true, write reply on stdout.

Definition at line 193 of file lirc_client.h.

The documentation for this struct was generated from the following file:

- /opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_sysutils_lirc/lirc/work/lirc-0.10.2/lib/lirc_client.h